<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:35:13 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Uses of Class org.apache.http.ParseException (HttpCore 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class org.apache.http.ParseException (HttpCore 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http//class-useParseException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ParseException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>org.apache.http.ParseException</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http"><B>org.apache.http</B></A></TD>
<TD>Core HTTP components based on the blocking I/O model.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.entity"><B>org.apache.http.entity</B></A></TD>
<TD>Common HTTP entity implementations.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.io"><B>org.apache.http.impl.io</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../org/apache/http/io/package-summary.html"><CODE>org.apache.http.io</CODE></A>.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.message"><B>org.apache.http.message</B></A></TD>
<TD>Basic HTTP message implementations.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.util"><B>org.apache.http.util</B></A></TD>
<TD>Resizable
<A HREF="../../../../org/apache/http/util/ByteArrayBuffer.html" title="class in org.apache.http.util"><CODE>byte</CODE></A> and
<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util"><CODE>char</CODE></A> arrays
and various utility classes with static helper methods.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A> in <A HREF="../../../../org/apache/http/package-summary.html">org.apache.http</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../org/apache/http/package-summary.html">org.apache.http</A> that throw <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/HeaderElement.html" title="interface in org.apache.http">HeaderElement</A>[]</CODE></FONT></TD>
<TD><CODE><B>Header.</B><B><A HREF="../../../../org/apache/http/Header.html#getElements()">getElements</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the value.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.entity"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A> in <A HREF="../../../../org/apache/http/entity/package-summary.html">org.apache.http.entity</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../org/apache/http/entity/package-summary.html">org.apache.http.entity</A> that throw <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/entity/ContentType.html" title="class in org.apache.http.entity">ContentType</A></CODE></FONT></TD>
<TD><CODE><B>ContentType.</B><B><A HREF="../../../../org/apache/http/entity/ContentType.html#get(org.apache.http.HttpEntity)">get</A></B>(<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>&nbsp;entity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Extracts <code>Content-Type</code> value from <A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http"><CODE>HttpEntity</CODE></A> exactly as
 specified by the <code>Content-Type</code> header of the entity.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/entity/ContentType.html" title="class in org.apache.http.entity">ContentType</A></CODE></FONT></TD>
<TD><CODE><B>ContentType.</B><B><A HREF="../../../../org/apache/http/entity/ContentType.html#getOrDefault(org.apache.http.HttpEntity)">getOrDefault</A></B>(<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>&nbsp;entity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Extracts <code>Content-Type</code> value from <A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http"><CODE>HttpEntity</CODE></A> or returns default value
 if not explicitly specified.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/entity/ContentType.html" title="class in org.apache.http.entity">ContentType</A></CODE></FONT></TD>
<TD><CODE><B>ContentType.</B><B><A HREF="../../../../org/apache/http/entity/ContentType.html#parse(java.lang.String)">parse</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;s)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses textual representation of <code>Content-Type</code> value.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.io"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A> in <A HREF="../../../../org/apache/http/impl/io/package-summary.html">org.apache.http.impl.io</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../org/apache/http/impl/io/package-summary.html">org.apache.http.impl.io</A> that throw <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/apache/http/HttpResponse.html" title="interface in org.apache.http">HttpResponse</A></CODE></FONT></TD>
<TD><CODE><B>DefaultHttpResponseParser.</B><B><A HREF="../../../../org/apache/http/impl/io/DefaultHttpResponseParser.html#parseHead(org.apache.http.io.SessionInputBuffer)">parseHead</A></B>(<A HREF="../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;sessionBuffer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/apache/http/HttpMessage.html" title="interface in org.apache.http">HttpMessage</A></CODE></FONT></TD>
<TD><CODE><B>HttpResponseParser.</B><B><A HREF="../../../../org/apache/http/impl/io/HttpResponseParser.html#parseHead(org.apache.http.io.SessionInputBuffer)">parseHead</A></B>(<A HREF="../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;sessionBuffer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/apache/http/HttpRequest.html" title="interface in org.apache.http">HttpRequest</A></CODE></FONT></TD>
<TD><CODE><B>DefaultHttpRequestParser.</B><B><A HREF="../../../../org/apache/http/impl/io/DefaultHttpRequestParser.html#parseHead(org.apache.http.io.SessionInputBuffer)">parseHead</A></B>(<A HREF="../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;sessionBuffer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;<A HREF="../../../../org/apache/http/impl/io/AbstractMessageParser.html" title="type parameter in AbstractMessageParser">T</A></CODE></FONT></TD>
<TD><CODE><B>AbstractMessageParser.</B><B><A HREF="../../../../org/apache/http/impl/io/AbstractMessageParser.html#parseHead(org.apache.http.io.SessionInputBuffer)">parseHead</A></B>(<A HREF="../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;sessionBuffer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Subclasses must override this method to generate an instance of
 <A HREF="../../../../org/apache/http/HttpMessage.html" title="interface in org.apache.http"><CODE>HttpMessage</CODE></A> based on the initial input from the session buffer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../org/apache/http/HttpMessage.html" title="interface in org.apache.http">HttpMessage</A></CODE></FONT></TD>
<TD><CODE><B>HttpRequestParser.</B><B><A HREF="../../../../org/apache/http/impl/io/HttpRequestParser.html#parseHead(org.apache.http.io.SessionInputBuffer)">parseHead</A></B>(<A HREF="../../../../org/apache/http/io/SessionInputBuffer.html" title="interface in org.apache.http.io">SessionInputBuffer</A>&nbsp;sessionBuffer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.message"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A> in <A HREF="../../../../org/apache/http/message/package-summary.html">org.apache.http.message</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../org/apache/http/message/package-summary.html">org.apache.http.message</A> that throw <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;int</CODE></FONT></TD>
<TD><CODE><B>BasicTokenIterator.</B><B><A HREF="../../../../org/apache/http/message/BasicTokenIterator.html#findNext(int)">findNext</A></B>(int&nbsp;from)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Determines the next token.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/HeaderElement.html" title="interface in org.apache.http">HeaderElement</A>[]</CODE></FONT></TD>
<TD><CODE><B>BufferedHeader.</B><B><A HREF="../../../../org/apache/http/message/BufferedHeader.html#getElements()">getElements</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/HeaderElement.html" title="interface in org.apache.http">HeaderElement</A>[]</CODE></FONT></TD>
<TD><CODE><B>BasicHeader.</B><B><A HREF="../../../../org/apache/http/message/BasicHeader.html#getElements()">getElements</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B>BasicTokenIterator.</B><B><A HREF="../../../../org/apache/http/message/BasicTokenIterator.html#next()">next</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the next token.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>BasicTokenIterator.</B><B><A HREF="../../../../org/apache/http/message/BasicTokenIterator.html#nextToken()">nextToken</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Obtains the next token from this iteration.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/HeaderElement.html" title="interface in org.apache.http">HeaderElement</A>[]</CODE></FONT></TD>
<TD><CODE><B>HeaderValueParser.</B><B><A HREF="../../../../org/apache/http/message/HeaderValueParser.html#parseElements(org.apache.http.util.CharArrayBuffer, org.apache.http.message.ParserCursor)">parseElements</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer,
              <A HREF="../../../../org/apache/http/message/ParserCursor.html" title="class in org.apache.http.message">ParserCursor</A>&nbsp;cursor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a header value into elements.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/HeaderElement.html" title="interface in org.apache.http">HeaderElement</A>[]</CODE></FONT></TD>
<TD><CODE><B>BasicHeaderValueParser.</B><B><A HREF="../../../../org/apache/http/message/BasicHeaderValueParser.html#parseElements(java.lang.String, org.apache.http.message.HeaderValueParser)">parseElements</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value,
              <A HREF="../../../../org/apache/http/message/HeaderValueParser.html" title="interface in org.apache.http.message">HeaderValueParser</A>&nbsp;parser)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses elements with the given parser.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>LineParser.</B><B><A HREF="../../../../org/apache/http/message/LineParser.html#parseHeader(org.apache.http.util.CharArrayBuffer)">parseHeader</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a header from a line.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>BasicLineParser.</B><B><A HREF="../../../../org/apache/http/message/BasicLineParser.html#parseHeader(org.apache.http.util.CharArrayBuffer)">parseHeader</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/Header.html" title="interface in org.apache.http">Header</A></CODE></FONT></TD>
<TD><CODE><B>BasicLineParser.</B><B><A HREF="../../../../org/apache/http/message/BasicLineParser.html#parseHeader(java.lang.String, org.apache.http.message.LineParser)">parseHeader</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value,
            <A HREF="../../../../org/apache/http/message/LineParser.html" title="interface in org.apache.http.message">LineParser</A>&nbsp;parser)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/HeaderElement.html" title="interface in org.apache.http">HeaderElement</A></CODE></FONT></TD>
<TD><CODE><B>HeaderValueParser.</B><B><A HREF="../../../../org/apache/http/message/HeaderValueParser.html#parseHeaderElement(org.apache.http.util.CharArrayBuffer, org.apache.http.message.ParserCursor)">parseHeaderElement</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer,
                   <A HREF="../../../../org/apache/http/message/ParserCursor.html" title="class in org.apache.http.message">ParserCursor</A>&nbsp;cursor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a single header element.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/HeaderElement.html" title="interface in org.apache.http">HeaderElement</A></CODE></FONT></TD>
<TD><CODE><B>BasicHeaderValueParser.</B><B><A HREF="../../../../org/apache/http/message/BasicHeaderValueParser.html#parseHeaderElement(java.lang.String, org.apache.http.message.HeaderValueParser)">parseHeaderElement</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value,
                   <A HREF="../../../../org/apache/http/message/HeaderValueParser.html" title="interface in org.apache.http.message">HeaderValueParser</A>&nbsp;parser)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses an element with the given parser.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/NameValuePair.html" title="interface in org.apache.http">NameValuePair</A></CODE></FONT></TD>
<TD><CODE><B>HeaderValueParser.</B><B><A HREF="../../../../org/apache/http/message/HeaderValueParser.html#parseNameValuePair(org.apache.http.util.CharArrayBuffer, org.apache.http.message.ParserCursor)">parseNameValuePair</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer,
                   <A HREF="../../../../org/apache/http/message/ParserCursor.html" title="class in org.apache.http.message">ParserCursor</A>&nbsp;cursor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a name=value specification, where the = and value are optional.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/NameValuePair.html" title="interface in org.apache.http">NameValuePair</A></CODE></FONT></TD>
<TD><CODE><B>BasicHeaderValueParser.</B><B><A HREF="../../../../org/apache/http/message/BasicHeaderValueParser.html#parseNameValuePair(java.lang.String, org.apache.http.message.HeaderValueParser)">parseNameValuePair</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value,
                   <A HREF="../../../../org/apache/http/message/HeaderValueParser.html" title="interface in org.apache.http.message">HeaderValueParser</A>&nbsp;parser)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a name-value-pair with the given parser.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/NameValuePair.html" title="interface in org.apache.http">NameValuePair</A>[]</CODE></FONT></TD>
<TD><CODE><B>HeaderValueParser.</B><B><A HREF="../../../../org/apache/http/message/HeaderValueParser.html#parseParameters(org.apache.http.util.CharArrayBuffer, org.apache.http.message.ParserCursor)">parseParameters</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer,
                <A HREF="../../../../org/apache/http/message/ParserCursor.html" title="class in org.apache.http.message">ParserCursor</A>&nbsp;cursor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a list of name-value pairs.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/NameValuePair.html" title="interface in org.apache.http">NameValuePair</A>[]</CODE></FONT></TD>
<TD><CODE><B>BasicHeaderValueParser.</B><B><A HREF="../../../../org/apache/http/message/BasicHeaderValueParser.html#parseParameters(java.lang.String, org.apache.http.message.HeaderValueParser)">parseParameters</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value,
                <A HREF="../../../../org/apache/http/message/HeaderValueParser.html" title="interface in org.apache.http.message">HeaderValueParser</A>&nbsp;parser)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses parameters with the given parser.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A></CODE></FONT></TD>
<TD><CODE><B>LineParser.</B><B><A HREF="../../../../org/apache/http/message/LineParser.html#parseProtocolVersion(org.apache.http.util.CharArrayBuffer, org.apache.http.message.ParserCursor)">parseProtocolVersion</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer,
                     <A HREF="../../../../org/apache/http/message/ParserCursor.html" title="class in org.apache.http.message">ParserCursor</A>&nbsp;cursor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses the textual representation of a protocol version.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A></CODE></FONT></TD>
<TD><CODE><B>BasicLineParser.</B><B><A HREF="../../../../org/apache/http/message/BasicLineParser.html#parseProtocolVersion(org.apache.http.util.CharArrayBuffer, org.apache.http.message.ParserCursor)">parseProtocolVersion</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer,
                     <A HREF="../../../../org/apache/http/message/ParserCursor.html" title="class in org.apache.http.message">ParserCursor</A>&nbsp;cursor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/ProtocolVersion.html" title="class in org.apache.http">ProtocolVersion</A></CODE></FONT></TD>
<TD><CODE><B>BasicLineParser.</B><B><A HREF="../../../../org/apache/http/message/BasicLineParser.html#parseProtocolVersion(java.lang.String, org.apache.http.message.LineParser)">parseProtocolVersion</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value,
                     <A HREF="../../../../org/apache/http/message/LineParser.html" title="interface in org.apache.http.message">LineParser</A>&nbsp;parser)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/RequestLine.html" title="interface in org.apache.http">RequestLine</A></CODE></FONT></TD>
<TD><CODE><B>LineParser.</B><B><A HREF="../../../../org/apache/http/message/LineParser.html#parseRequestLine(org.apache.http.util.CharArrayBuffer, org.apache.http.message.ParserCursor)">parseRequestLine</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer,
                 <A HREF="../../../../org/apache/http/message/ParserCursor.html" title="class in org.apache.http.message">ParserCursor</A>&nbsp;cursor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a request line.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/RequestLine.html" title="interface in org.apache.http">RequestLine</A></CODE></FONT></TD>
<TD><CODE><B>BasicLineParser.</B><B><A HREF="../../../../org/apache/http/message/BasicLineParser.html#parseRequestLine(org.apache.http.util.CharArrayBuffer, org.apache.http.message.ParserCursor)">parseRequestLine</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer,
                 <A HREF="../../../../org/apache/http/message/ParserCursor.html" title="class in org.apache.http.message">ParserCursor</A>&nbsp;cursor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a request line.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/RequestLine.html" title="interface in org.apache.http">RequestLine</A></CODE></FONT></TD>
<TD><CODE><B>BasicLineParser.</B><B><A HREF="../../../../org/apache/http/message/BasicLineParser.html#parseRequestLine(java.lang.String, org.apache.http.message.LineParser)">parseRequestLine</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value,
                 <A HREF="../../../../org/apache/http/message/LineParser.html" title="interface in org.apache.http.message">LineParser</A>&nbsp;parser)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A></CODE></FONT></TD>
<TD><CODE><B>LineParser.</B><B><A HREF="../../../../org/apache/http/message/LineParser.html#parseStatusLine(org.apache.http.util.CharArrayBuffer, org.apache.http.message.ParserCursor)">parseStatusLine</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer,
                <A HREF="../../../../org/apache/http/message/ParserCursor.html" title="class in org.apache.http.message">ParserCursor</A>&nbsp;cursor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses a status line.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A></CODE></FONT></TD>
<TD><CODE><B>BasicLineParser.</B><B><A HREF="../../../../org/apache/http/message/BasicLineParser.html#parseStatusLine(org.apache.http.util.CharArrayBuffer, org.apache.http.message.ParserCursor)">parseStatusLine</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer,
                <A HREF="../../../../org/apache/http/message/ParserCursor.html" title="class in org.apache.http.message">ParserCursor</A>&nbsp;cursor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/apache/http/StatusLine.html" title="interface in org.apache.http">StatusLine</A></CODE></FONT></TD>
<TD><CODE><B>BasicLineParser.</B><B><A HREF="../../../../org/apache/http/message/BasicLineParser.html#parseStatusLine(java.lang.String, org.apache.http.message.LineParser)">parseStatusLine</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;value,
                <A HREF="../../../../org/apache/http/message/LineParser.html" title="interface in org.apache.http.message">LineParser</A>&nbsp;parser)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../org/apache/http/message/package-summary.html">org.apache.http.message</A> that throw <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/message/BufferedHeader.html#BufferedHeader(org.apache.http.util.CharArrayBuffer)">BufferedHeader</A></B>(<A HREF="../../../../org/apache/http/util/CharArrayBuffer.html" title="class in org.apache.http.util">CharArrayBuffer</A>&nbsp;buffer)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new header from a buffer.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.util"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A> in <A HREF="../../../../org/apache/http/util/package-summary.html">org.apache.http.util</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../org/apache/http/util/package-summary.html">org.apache.http.util</A> that throw <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http">ParseException</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>EntityUtils.</B><B><A HREF="../../../../org/apache/http/util/EntityUtils.html#getContentCharSet(org.apache.http.HttpEntity)">getContentCharSet</A></B>(<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>&nbsp;entity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1.3) use <A HREF="../../../../org/apache/http/entity/ContentType.html#getOrDefault(org.apache.http.HttpEntity)"><CODE>ContentType.getOrDefault(HttpEntity)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>EntityUtils.</B><B><A HREF="../../../../org/apache/http/util/EntityUtils.html#getContentMimeType(org.apache.http.HttpEntity)">getContentMimeType</A></B>(<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>&nbsp;entity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>(4.1.3) use <A HREF="../../../../org/apache/http/entity/ContentType.html#getOrDefault(org.apache.http.HttpEntity)"><CODE>ContentType.getOrDefault(HttpEntity)</CODE></A></I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>EntityUtils.</B><B><A HREF="../../../../org/apache/http/util/EntityUtils.html#toString(org.apache.http.HttpEntity)">toString</A></B>(<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>&nbsp;entity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Read the contents of an entity and return it as a String.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>EntityUtils.</B><B><A HREF="../../../../org/apache/http/util/EntityUtils.html#toString(org.apache.http.HttpEntity, java.nio.charset.Charset)">toString</A></B>(<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>&nbsp;entity,
         <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</A>&nbsp;defaultCharset)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the entity content as a String, using the provided default character set
 if none is found in the entity.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>EntityUtils.</B><B><A HREF="../../../../org/apache/http/util/EntityUtils.html#toString(org.apache.http.HttpEntity, java.lang.String)">toString</A></B>(<A HREF="../../../../org/apache/http/HttpEntity.html" title="interface in org.apache.http">HttpEntity</A>&nbsp;entity,
         <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;defaultCharset)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the entity content as a String, using the provided default character set
 if none is found in the entity.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../org/apache/http/ParseException.html" title="class in org.apache.http"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http//class-useParseException.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ParseException.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
